## r-cran-unbalanced 2.0

=== DESCRIPTION ===
Package: unbalanced
Type: Package
Title: Racing for Unbalanced Methods Selection
Version: 2.0
Date: 2015-06-25
Author: Andrea Dal Pozzolo, Olivier Caelen and Gianluca Bontempi
Maintainer: Andrea Dal Pozzolo <adalpozz@ulb.ac.be>
Description: A dataset is said to be unbalanced when the class of interest (minority class) is much rarer than normal behaviour (majority class). The cost of missing a minority class is typically much higher that missing a majority class. Most learning systems are not prepared to cope with unbalanced data and several techniques have been proposed. This package implements some of most well-known techniques and propose a racing algorithm to select adaptively the most appropriate strategy for a given unbalanced task.
License: GPL (>= 3)
URL: http://mlg.ulb.ac.be
Depends: mlr, foreach, doParallel
Imports: FNN, RANN
Suggests: randomForest, ROCR
Packaged: 2015-06-26 09:54:30 UTC; Andrea
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2015-06-26 13:34:37

=== debian/changelog ===
r-cran-unbalanced (2.0-2) unstable; urgency=medium

  * Packaging update
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Mon, 11 Oct 2021 16:50:36 +0200

r-cran-unbalanced (2.0-1) unstable; urgency=medium

  * Initial release (closes: #995312)

 -- Andreas Tille <tille@debian.org>  Wed, 29 Sep 2021 18:19:37 +0200

=== debian/control ===
Source: r-cran-unbalanced
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-mlr,
               r-cran-foreach,
               r-cran-doparallel,
               r-cran-fnn,
               r-cran-rann
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-unbalanced
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-unbalanced.git
Homepage: https://cran.r-project.org/package=unbalanced
Rules-Requires-Root: no

Package: r-cran-unbalanced
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R racing for unbalanced methods selection
 A dataset is said to be unbalanced when the class of interest (minority
 class) is much rarer than normal behaviour (majority class). The cost of
 missing a minority class is typically much higher that missing a
 majority class. Most learning systems are not prepared to cope with
 unbalanced data and several techniques have been proposed. This package
 implements some of most well-known techniques and propose a racing
 algorithm to select adaptively the most appropriate strategy for a given
 unbalanced task.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/unbalanced_([-\d.]*)\.tar\.gz
